C     Fx compiler version 3.0
C     PROGRAM main
C     WRITE (unit=6,fmt=*) i,a(i),( -((idx * 3) + 1))
C     END


      PROGRAM main
      INTEGER i
      EXTERNAL a
      REAL a
      INTEGER idx
      INTEGER fxdistarg
      INTEGER fxcellid
      EXTERNAL fx_procstart
      EXTERNAL fx_init
      EXTERNAL getarg
      CHARACTER*256 fx_executable_name
      COMMON /fxcommon/ fxcellid,fxdistarg

      CALL getarg(0,fx_executable_name)
      CALL fx_init(fxcellid,1,0,0,0,64,fx_executable_name)
      fxdistarg = 0
      IF (fxcellid.EQ.0) THEN
        WRITE (unit=6,fmt=*) i,a(i),( -((idx * 3) + 1))
      ENDIF
      END


C
C     ------------------------------------------------- 
C

